跳至内容
ShopentlyLearn

调整分配顺序

按所需顺序提交完整且未筛选的页面。版本过期时返回409。

POST/api/v1/inventory/products/{product_id}/digital-units/reorder

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-units/reorder \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: 8e721db4-9367-576b-8727-c99c91ff825c' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_order_version":1,"unit_ids":["00000000-0000-4000-8000-000000000008","00000000-0000-4000-8000-000000000003"]}'

响应

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

所需权限

身份验证
访问令牌
最低套餐
STANDARD
密钥权限
管理可用代码和文件inventory.digital_unit:write